Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webapp30
Class WebApp30DescriptorImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webapp30.WebApp30DescriptorImplTestCase

    public class WebApp30DescriptorImplTestCase

extends java.lang.Object

Constructor Summary
`WebApp30DescriptorImplTestCase()`

Method Summary
`void` | `testAbsoluteOrdering()`
`void` | `testContextParam()`
`void` | `testDistributable()`
`void` | `testErrorPage()`
`void` | `testFilter()`
`void` | `testFilterMapping()`
`void` | `testJspConfig()`
`void` | `testListener()`
`void` | `testLocaleEncodingMappingList()`
`void` | `testLoginConfig()`
`void` | `testMessageDestination()`
`void` | `testMetadataComplete()`
`void` | `testMimeMapping()`
`void` | `testModuleName()`
`void` | `testSecurityConstraint()`
`void` | `testSecurityRole()`
`void` | `testServlet()`
`void` | `testServletMapping()`
`void` | `testSessionConfig()`
`void` | `testVersion()`
`void` | `testWelcomeFileList()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebApp30DescriptorImplTestCase

    public WebApp30DescriptorImplTestCase()

Method Detail

### testModuleName

    public void testModuleName()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAbsoluteOrdering

    public void testAbsoluteOrdering()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDistributable

    public void testDistributable()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testContextParam

    public void testContextParam()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testFilter

    public void testFilter()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testFilterMapping

    public void testFilterMapping()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testListener

    public void testListener()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServlet

    public void testServlet()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServletMapping

    public void testServletMapping()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSessionConfig

    public void testSessionConfig()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMimeMapping

    public void testMimeMapping()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWelcomeFileList

    public void testWelcomeFileList()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testErrorPage

    public void testErrorPage()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJspConfig

    public void testJspConfig()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityConstraint

    public void testSecurityConstraint()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLoginConfig

    public void testLoginConfig()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityRole

    public void testSecurityRole()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMessageDestination

    public void testMessageDestination()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocaleEncodingMappingList

    public void testLocaleEncodingMappingList()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testVersion

    public void testVersion()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMetadataComplete

    public void testMetadataComplete()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD